export const COLORS = {
  light: {
    primaryColor: '#EB5017',
    activeCardColor: '#FDEDE7',
    primaryTextColor: '#FFFFFF',
    textColor: '#121212',
    neutralColor: '#FFFFFF',
    borderColor: '#D0D5DD'
  },
  dark: {
    primaryColor: '#EB5017',
    activeCardColor: '#292929',
    primaryTextColor: '#FFFFFF',
    textColor: '#FFFFFF',
    neutralColor: '#121212',
    borderColor: '#D0D5DD'
  }
};
export let ThemeMode = /*#__PURE__*/function (ThemeMode) {
  ThemeMode["DARK"] = "dark";
  ThemeMode["LIGHT"] = "light";
  return ThemeMode;
}({});
export let LogLevel = /*#__PURE__*/function (LogLevel) {
  LogLevel[LogLevel["INFO"] = 0] = "INFO";
  LogLevel[LogLevel["ERROR"] = 1] = "ERROR";
  return LogLevel;
}({});
export let BadgeType = /*#__PURE__*/function (BadgeType) {
  BadgeType["NONE"] = "none";
  BadgeType["DOT"] = "dot";
  BadgeType["DEFAULT"] = "default";
  return BadgeType;
}({});
export const defaultBadgeStyle = {
  size: 15,
  color: '#FF0000',
  textColor: '#FFFFFF',
  textSize: 7
};
export const levelLogFns = {
  [LogLevel.INFO]: console.log,
  [LogLevel.ERROR]: console.error
};
export let eventTypes = /*#__PURE__*/function (eventTypes) {
  eventTypes["MARK_ITEM_AS_VIEWED"] = "MARK_ITEM_AS_VIEWED";
  eventTypes["MARK_ITEM_AS_READ"] = "MARK_ITEM_AS_READ";
  eventTypes["MARK_ALL_AS_READ"] = "MARK_ALL_AS_READ";
  eventTypes["DELETE_ITEM"] = "DELETE_ITEM";
  eventTypes["DELETE_ALL_ITEM"] = "DELETE_ALL_ITEM";
  eventTypes["NEW_NOTIFICATIONS"] = "NEW_NOTIFICATIONS";
  eventTypes["UPDATE_NOTIFICATIONS_COUNT"] = "UPDATE_NOTIFICATIONS_COUNT";
  return eventTypes;
}({});
export let events = /*#__PURE__*/function (events) {
  events["NOTIFICATION_LIST_EVENT"] = "NOTIFICATION_LIST_EVENT";
  events["NOTIFICATION_COUNT_EVENT"] = "NOTIFICATION_COUNT_EVENT";
  return events;
}({});
export const LIST_EMPTY_TEXT = "You don't have any notifications!";
export const ERROR_TEXT = 'Something went wrong!';
export const DEFAULT_WINDOW_TITLE = 'Notifications';
export const RETRY_BUTTON_LABEL = 'Retry';
export const CLEAR_ALL_LABEL = 'Clear All';
export const errorMap = {
  SIREN_OBJECT_NOT_FOUND: {
    Type: 'ERROR',
    Code: 'SIREN_OBJECT_NOT_FOUND',
    Message: 'Siren Object Not found'
  },
  MISSING_PARAMETER: {
    Type: 'ERROR',
    Code: 'MISSING_PARAMETER',
    Message: 'Missing Parameter'
  }
};
//# sourceMappingURL=constants.js.map